特定のアプリの新しいコール拡張機能設定を作成します。
curl --request POST \
--url https://api.hubapi.com/crm/extensions/calling/2026-03/{appId}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"height": 123,
"isReady": true,
"name": "<string>",
"supportsCustomObjects": true,
"supportsInboundCalling": true,
"url": "<string>",
"usesCallingWindow": true,
"usesRemote": true,
"width": 123
}
'import requests
url = "https://api.hubapi.com/crm/extensions/calling/2026-03/{appId}/settings"
payload = {
"height": 123,
"isReady": True,
"name": "<string>",
"supportsCustomObjects": True,
"supportsInboundCalling": True,
"url": "<string>",
"usesCallingWindow": True,
"usesRemote": True,
"width": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
height: 123,
isReady: true,
name: '<string>',
supportsCustomObjects: true,
supportsInboundCalling: true,
url: '<string>',
usesCallingWindow: true,
usesRemote: true,
width: 123
})
};
fetch('https://api.hubapi.com/crm/extensions/calling/2026-03/{appId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"height": 123,
"isReady": true,
"name": "<string>",
"supportsCustomObjects": true,
"supportsInboundCalling": true,
"updatedAt": "2023-11-07T05:31:56Z",
"url": "<string>",
"usesCallingWindow": true,
"usesRemote": true,
"width": 123
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}設定
Create new calling extension settings for a specific app.
指定されたappIdと関連付けられたコール拡張機能の新しい設定を作成します。
POST
/
crm
/
extensions
/
calling
/
2026-03
/
{appId}
/
settings
特定のアプリの新しいコール拡張機能設定を作成します。
Supported products
Supported products
承認
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
新しいコール拡張機能設定を作成するアプリの固有ID。
ボディ
application/json
コール拡張機能インターフェースの高さを指定します。
コール拡張機能を使用する準備ができたかどうかを示します。
コール拡張機能の名前。
コール拡張機能でカスタムオブジェクトがサポートされているかどうかを示します。
コール拡張機能でインバウンドコールがサポートされているかどうかを示します。
コール拡張機能と関連付けられたURL。
コール拡張機能で個別のコールウィンドウが使用されるかどうかを示します。
コール拡張機能でリモートサービスが使用されるかどうかを示します。
コール拡張機能インターフェースの幅を指定します。
レスポンス
successful operation
コール拡張機能設定が作成された日時。
コール拡張機能インターフェースの高さ。
コール拡張機能設定を使用する準備ができたかどうかを示します。
コール拡張機能の名前。
コール拡張機能でカスタムオブジェクトがサポートされているかどうかを示します。
コール拡張機能でインバウンドコールがサポートされているかどうかを示します。
コール拡張機能設定が最後に更新された日時。
コール拡張機能と関連付けられたURL。
コール拡張機能で専用のコールウィンドウが使用されるかどうかを示します。
コール拡張機能でリモートサービスが使用されるかどうかを示します。
コール拡張機能インターフェースの幅。
最終更新日 2026年4月10日
⌘I